LPF(1)

NAME
lpf - general printer filter

SYNOPSIS
lpf -Pprinter -wwidth -llength -xwidth -ylength [ -c ] -Kcontrolfilename -Lbnrname [ -iindent ] [ -Zoptions ] [ -Cclass ] [ -Jjob ] [ -Raccntname ] -nlogin -hHost -Fformat [ -T[crlf,debug] -Dlevel ] [ affile ]

DESCRIPTION
Lpf is a general printer filter. Usually it is used as filter in the printcap file and is called by lpd. The -Tcrlf option will suppress translation of LF to CR/LF pairs. The -Tdebug option will increment the debug level. The following options passes lpd by default:

-Pprinter
    The name of the printer.

-wwidth
    The page width in chars, as given in the :pw field in the printcap file

-llength
    The page length in lines, as given in the :pl field in the printcap file

-xwidth
    The page width in pixels, as given in the :px field in the printcap file

-ylength
    The page length in pixels, as given in the :py field in the printcap file

-Kcontrolfilename
    The name of the control file.

-Lbnrname
    The banner name. This is set by the lpr -T option.

-nlogin
    The user login name.

-hHost
    The host where the job was submitted.

-Fformat
    The job format from the lpr -F option or other option.

These options are optionally set by lpd:

-Zoptions
    Extra options. They are passed from the -Z parameter given on the lpr command command line and can be interpreted by the filter.

These remaining options can be added to the filter entry in the printcap file:

-c  ignore control characters, set by lpr -b (binary) or -l (literal) options.

-iindent
    The indentation amount, set by lpr -i indent option.

-Cclass
    The class name, set by lpr -C class option.

-Jjob
    The job name, set by lpr -J job option.

-Raccntname
    The name of the accounting file, from printcap information.

-Dlevel
    Sets debug level. The level must be an integer, a nonzero value switches debugging on.

-Tcrlf
    Turn LF to CR/LF translation off.

-Tdebug
    Increment the debug level.

EXIT STATUS

The following exit values are returned:

zero (0)
    Successful completion.

non-zero (!=0)
    An error occurred.

FILES

The files used by LPRng are set by values in the printer configuration file. The following are a commonly used set of default values.
/usr/local/etc/lpd.conf	LPRng configuration file
${HOME}/.printcap	user printer description file
/etc/printcap	printer description file
/usr/local/etc/lpd.perms	permissions
/var/run/lpd	lock file for queue control
/var/spool/lpd		spool directories
/var/spool/lpd/QUEUE/control	queue control
/var/spool/lpd/QUEUE/log	trace or debug log file
/var/spool/lpd/QUEUE/acct	accounting file
/var/spool/lpd/QUEUE/status	status file

SEE ALSO
lpd.conf(5), lpc(8), lpd(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.perms(5), pr(1), lprng_certs(1), lprng_index_certs(1).

DIAGNOSTICS
Most of the diagnostics are self explanatory.
If you are puzzled over the exact cause of failure,
set the debugging level on (-D5) and run again.
The debugging information will
help you to pinpoint the exact cause of failure.

HISTORY
LPRng is a enhanced printer spooler system with functionality similar to the Berkeley LPR software. The LPRng mailing list is lprng@lprng.com; subscribe by sending mail to lprng-request@lprng.com with the word subscribe in the body. The software is available from ftp://ftp.lprng.com/pub/LPRng.

AUTHOR
Patrick Powell <papowell@lprng.com>.